import { FrontendBase, SdkInfo } from '@sentry/core';
import { NodeBackend, NodeOptions } from './backend';
/**
 * The Sentry Node SDK Frontend.
 *
 * @see NodeOptions for documentation on configuration options.
 * @see SentryClient for usage documentation.
 */
export declare class NodeFrontend extends FrontendBase<NodeBackend, NodeOptions> {
    /**
     * Creates a new Node SDK instance.
     * @param options Configuration options for this SDK.
     */
    constructor(options: NodeOptions);
    /**
     * @inheritDoc
     */
    protected getSdkInfo(): SdkInfo;
}
