import { Breadcrumb, SentryEvent } from '@sentry/core';
export declare type SendMethod = (event: SentryEvent, cb: (err: any) => void) => void;
/** Provides access to internal raven functionality. */
export interface RavenInternal {
    captureBreadcrumb(breadcrumb: Breadcrumb): void;
    captureException(exception: any, cb?: (event: SentryEvent) => void): void;
    captureMessage(message: string, cb?: (event: SentryEvent) => void): void;
    config(dsn: string, options: object): RavenInternal;
    onFatalError(error: Error): void;
    install(): void;
    send: SendMethod;
    version: string;
}
/** Casted raven instance with access to internal functions. */
export declare const Raven: RavenInternal;
